From ccd39f6c9d8571e4ef8d8e455de32e842d99eaef Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 10:56:33 -0700
Subject: Do not use "as" as variable name, it's a reserved word in Python 2.6
 and newer

Origin: Ubuntu
Bug-Ubuntu: #392870

Patch-Name: 01_Python2.6_reserved_words.patch
---
 pyscript/groups.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/pyscript/groups.py b/pyscript/groups.py
index e28e987..2f821f5 100644
--- a/pyscript/groups.py
+++ b/pyscript/groups.py
@@ -387,10 +387,10 @@ def Distribute(*items, **options):
     assert a2 in ["n", "ne", "e", "se", "s", "sw", "w", "nw", "c"]
 
     # note the swap:
-    as = options.get('as', a2)
+    _as = options.get('as', a2)
     ae = options.get('ae', a1)
 
-    assert as in ["n", "ne", "e", "se", "s", "sw", "w", "nw", "c"]
+    assert _as in ["n", "ne", "e", "se", "s", "sw", "w", "nw", "c"]
     assert ae in ["n", "ne", "e", "se", "s", "sw", "w", "nw", "c"]
 
     # these two have to be present
@@ -424,14 +424,14 @@ def Distribute(*items, **options):
 
         # place items at the edges
         # ---first object----
-        ov = getattr(items[0].bbox(), as)-p1
+        ov = getattr(items[0].bbox(), _as)-p1
 
         # how much we need to move by
         mv = -pv.U*ov*pv.U
         items[0].move(mv)
 
         space -= abs(( getattr(items[0].bbox(), a1)
-                         - getattr(items[0].bbox(), as) )*pv.U)
+                         - getattr(items[0].bbox(), _as) )*pv.U)
 
         # ---second object---
         ov = getattr(items[-1].bbox(), ae)-p2
